Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class SelectHelper

    java.lang.Object
      org.richfaces.renderkit.SelectHelper

    public final class SelectHelper

extends java.lang.Object

Author:
  abelevich, Brian Leathem

Field Summary
`static java.lang.String` | `OPTIONS_ENABLE_MANUAL_INPUT`
`static java.lang.String` | `OPTIONS_INPUT_DEFAULT_LABEL`
`static java.lang.String` | `OPTIONS_LIST_ITEMS`
`static java.lang.String` | `OPTIONS_LIST_SELECT_FIRST`
`static java.lang.String` | `OPTIONS_SHOWCONTROL`
`static java.util.Map<java.lang.String,ComponentAttribute>` | `SELECT_LIST_HANDLER_ATTRIBUTES`

Method Summary
`static void` | `addSelectCssToOptions(AbstractSelectComponent abstractSelect, java.util.Map<java.lang.String,java.lang.Object> options, java.lang.String[] defaultCss)`
`static void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.List<ClientSelectItem> clientSelectItems, java.lang.String itemHtmlElement, java.lang.String defaultItemCss)`
`static ClientSelectItem` | `generateClientSelectItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, javax.faces.model.SelectItem selectItem, int sortOrder, boolean selected)`
`static java.util.List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static java.lang.String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTIONS_SHOWCONTROL

    public static final java.lang.String OPTIONS_SHOWCONTROL

See Also:
  Constant Field Values

### OPTIONS_LIST_ITEMS

    public static final java.lang.String OPTIONS_LIST_ITEMS

See Also:
  Constant Field Values

### OPTIONS_ENABLE_MANUAL_INPUT

    public static final java.lang.String OPTIONS_ENABLE_MANUAL_INPUT

See Also:
  Constant Field Values

### OPTIONS_LIST_SELECT_FIRST

    public static final java.lang.String OPTIONS_LIST_SELECT_FIRST

See Also:
  Constant Field Values

### OPTIONS_INPUT_DEFAULT_LABEL

    public static final java.lang.String OPTIONS_INPUT_DEFAULT_LABEL

See Also:
  Constant Field Values

### SELECT_LIST_HANDLER_ATTRIBUTES

    public static final java.util.Map<java.lang.String,ComponentAttribute> SELECT_LIST_HANDLER_ATTRIBUTES

Method Detail

### getConvertedSelectItems

    public static java.util.List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                                           javax.faces.component.UIComponent component)

### generateClientSelectItem

    public static ClientSelectItem generateClientSelectItem(javax.faces.context.FacesContext facesContext,
                                                            javax.faces.component.UIComponent component,
                                                            javax.faces.model.SelectItem selectItem,
                                                            int sortOrder,
                                                            boolean selected)

### encodeItems

    public static void encodeItems(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component,
                                   java.util.List<ClientSelectItem> clientSelectItems,
                                   java.lang.String itemHtmlElement,
                                   java.lang.String defaultItemCss)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSelectInputLabel

    public static java.lang.String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

### addSelectCssToOptions

    public static void addSelectCssToOptions(AbstractSelectComponent abstractSelect,
                                             java.util.Map<java.lang.String,java.lang.Object> options,
                                             java.lang.String[] defaultCss)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.